Bug 441683 - (CVE-2008-1720) CVE-2008-1720 rsync: integer overflow in xattr handling
CVE-2008-1720 rsync: integer overflow in xattr handling
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
source=vendor-sec,reported=20080408,p...
: Security
Depends On: 441689 441690 442430
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-09 10:13 EDT by Tomas Hoger
Modified: 2016-03-04 06:27 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-17 02:41:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2008-04-09 10:13:09 EDT
Sebastian Krahmer of SuSE reported and integer overflow leading to a heap buffer
overflow in the xattr handling code (function expand_item_list()) used by rsync.

This issue affects rsync 2.6.9 and all rsync 3.x versions with xattr support
enabled.  Upstream released version 3.0.2:

  http://samba.anu.edu.au/rsync/security.html#s3_0_2

including the fix:

  http://rsync.samba.org/ftp/rsync/security/rsync-3.0.1-xattr-alloc.diff

Upstream advisory also documents following mitigation to prevent exploitation of
the issue on affected versions:

  Those running a writable rsync daemon can opt to refuse the "xattrs" option
  as a way to avoid the problem without an upgrade:

    refuse options = xattrs

  (If you already refuse options, be sure to append "xattrs" to your existing
  config parameter rather than adding another refuse directive.)
Comment 1 Simo Sorce 2008-04-09 10:19:31 EDT
F-7,F-8 and F-9 packages released.
no RHEL product seem to be affected.
Comment 3 Fedora Update System 2008-04-09 10:53:24 EDT
rsync-2.6.9-6.fc7 has been submitted as an update for Fedora 7
Comment 4 Fedora Update System 2008-04-09 10:53:31 EDT
rsync-2.6.9-5.fc8 has been submitted as an update for Fedora 8
Comment 6 Tomas Hoger 2008-04-10 13:14:38 EDT
This issue did not affect rsync packages as shipped in Red Hat Enterprise Linux
2.1, 3, 4 and 5.
Comment 7 Fedora Update System 2008-04-16 23:47:19 EDT
rsync-2.6.9-5.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2008-04-16 23:48:28 EDT
rsync-2.6.9-6.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Red Hat Product Security 2008-04-17 02:41:36 EDT
This issue was addressed in:

Fedora:
  https://admin.fedoraproject.org/updates/F7/FEDORA-2008-3060
  https://admin.fedoraproject.org/updates/F8/FEDORA-2008-3047


Note You need to log in before you can comment on or make changes to this bug.